# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libqt4-devel
# END SourceDeps(oneline)
Name:		qroneko
Version:	0.5.4
Release:	alt1_7
Summary:	A qt front end to crontab
Group:		File tools
License:	GPLv2+ 
URL:		http://qroneko.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		qroneko-0.5.4-CronModel.cpp.patch
Patch1:		qroneko-0.5.4-ExecuteList.cpp.patch

BuildRequires:	qt4-devel desktop-file-utils
Source44: import.info


%description
qroneko is a scheduling utility which uses crontab as the back-end.
Features and highlights:
 * Smart "Cron Time" Setting.
 * Lists expected execute time.
 * Enables to edit crontab by text

%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
qmake-qt4 -project -o qroneko.pro
qmake-qt4 qroneko.pro
make %{?_smp_mflags}

%install
install -pd $RPM_BUILD_ROOT/%{_bindir}
install -p %{name} $RPM_BUILD_ROOT/%{_bindir}

#menu-entries
install -pdm 755 $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
install -pd $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p %{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps


%files
%{_bindir}/qroneko
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/qroneko*.desktop
%doc README



%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_7
- initial fc import

